Test Connection

Test Connection
Test Adapter Instance connection

Test Adapter Instance connection
NOTE: for VCF and vCenter cloud accounts please use /api/integrations/vcenters/testConnection and /api/integrations/vcf/testConnection APIs respectively

Request
URI
POST
https://{api_host}/suite-api/api/adapters/testConnection
COPY
Request Body

The adapter instance connection request

create-adapter-instance of type(s) application/json
Required

Show optional properties

{
    "adapterKindKey": "string",
    "name": "string"
}
"{\n  \"name\" : \"VC Adapter Instance\",\n  \"description\" : \"A vCenter Adapter Instance\",\n  \"collectorId\" : \"1\",\n  \"adapterKindKey\" : \"VMWARE\",\n  \"resourceIdentifiers\" : [ {\n    \"name\" : \"AUTODISCOVERY\",\n    \"value\" : \"true\"\n  }, {\n    \"name\" : \"PROCESSCHANGEEVENTS\",\n    \"value\" : \"true\"\n  }, {\n    \"name\" : \"VCURL\",\n    \"value\" : \"VC_IP_Address\"\n  } ],\n  \"credential\" : {\n    \"name\" : \"Principal Credential\",\n    \"adapterKindKey\" : \"VMWARE\",\n    \"credentialKindKey\" : \"PRINCIPALCREDENTIAL\",\n    \"fields\" : [ {\n      \"name\" : \"USER\",\n      \"value\" : \"user_name\"\n    }, {\n      \"name\" : \"PASSWORD\",\n      \"value\" : \"passwd\"\n    } ]\n  },\n  \"monitoringInterval\" : 1\n}"
string
adapterKindKey
Required

The Adapter Kind key

string As uuid As uuid
collectorGroupId
Optional

The Collector Group ID to be used for this Adapter Instance. If not specified, the system will choose an appropriate Collector group for you

string
collectorId
Optional

The Collector instance used by this adapter instance. If not specified, the system will choose an appropriate Collector for you

object
credential
Optional

The Credential Instance information

string
description
Optional

Optional description of the Adapter instance

integer As int32 As int32
monitoringInterval
Optional
Constraints: minimum: 0

Minutes part of the monitoring Interval of the Adapter Instance, where the monitoring Interval is the frequency of data source query for stats and properties.

integer As int32 As int32
monitoringIntervalSeconds
Optional
Constraints: minimum: 0

Seconds part of the monitoring Interval of the Adapter Instance, where the monitoring Interval is the frequency of data source query for stats and properties.

string
name
Required
Constraints: minLength: 1 maxLength: 300

The name of the Adapter instance

string As uuid As uuid
physicalDatacenterId
Optional

The Physical Datacenter ID to be used for this Adapter Instance. It is Optional

array of object
resourceIdentifiers
Optional

Adapter instance specific resource identifiers

Authentication
This operation uses the following authentication methods.
Responses
201

The adapter instance that was created

Returns adapter-instance of type(s) application/json
"{\n  \"resourceKey\" : {\n    \"name\" : \"VC Adapter Instance\",\n    \"adapterKindKey\" : \"VMWARE\",\n    \"resourceKindKey\" : \"VMwareAdapter Instance\",\n    \"resourceIdentifiers\" : [ ]\n  },\n  \"description\" : \"A vCenter Adapter Instance\",\n  \"collectorId\" : 1,\n  \"credentialInstanceId\" : \"1a571e56-edc4-4931-b61b-e074493491f1\",\n  \"adapter-certificates\" : [ {\n    \"thumbprint\" : \"854e7e76-a2d1-4052-98ae-fe983bd2a3bc\",\n    \"certificateDetails\" : \"Issued by VMware, Inc. Expires: 01/01/2020\"\n  } ],\n  \"id\" : \"725cbdae-812e-4e98-9972-53c58f51661b\"\n}"
array of object
adapter-certificates
Optional

The set of untrusted certificates returned by the adapter source

string As uuid As uuid
collectorGroupId
Optional

The ID of the collector group. If not specified, the system will choose an appropriate Collector group for you

integer As int32 As int32
collectorId
Optional

The ID of the Collector that manages this adapter instance. This is optional and if not specified, system will choose an appropriate collector.

string As uuid As uuid
credentialInstanceId
Optional

The Credential Instance identifier used by this adapter instance

string
description
Optional

Optional description of the Adapter instance

string As uuid As uuid
id
Optional

The UUID of the adapter instance

integer As int64 As int64
lastCollected
Optional

Last time adapter instance reported collection of resources/stats.

integer As int64 As int64
lastHeartbeat
Optional

Last time when this adapter instance communicated with VMware Cloud Foundation Operations Server.

array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

string
messageFromAdapterInstance
Optional

Any message from the adapter instance.

integer As int32 As int32
monitoringInterval
Optional
Constraints: minimum: 0

Minutes part of the monitoring Interval of the Adapter Instance.

integer As int32 As int32
monitoringIntervalSeconds
Optional
Constraints: minimum: 0

Seconds part of the monitoring Interval of the Adapter Instance

integer As int32 As int32
numberOfMetricsCollected
Optional

The number of metrics reported by this adapter instance.

integer As int32 As int32
numberOfResourcesCollected
Optional

The number of resources being monitored by this resource.

string As uuid As uuid
physicalDatacenterId
Optional

The Physical Datacenter ID to be used for this Adapter Instance.It is Optional

object
resourceKey
Required

Represents a composite key for uniquely identifying a Resource.


400

If Test 'adapter instance connection' failed. Typically the service will return extra information as to why the creation failed.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"adapterKindKey":"string","name":"string"}' https://{api_host}/suite-api/api/adapters/testConnection